aboutsummaryrefslogtreecommitdiffstats
path: root/testing/libneo4j-client
diff options
context:
space:
mode:
authorChris Leishman <chris@leishman.org>2017-11-13 23:04:31 -0500
committerTimo Teräs <timo.teras@iki.fi>2018-02-06 16:05:03 +0000
commitd6435eed9dd834e3626efca3ac12cce11be83405 (patch)
tree00195daed967ac5de9974d0452bdede1e7cb30d7 /testing/libneo4j-client
parent4ce0e9375ef56045324d6c2d72fbfb25dcd05cfc (diff)
downloadaports-d6435eed9dd834e3626efca3ac12cce11be83405.tar.bz2
aports-d6435eed9dd834e3626efca3ac12cce11be83405.tar.xz
testing/libneo4j-client: update to version 2.2.0
Diffstat (limited to 'testing/libneo4j-client')
-rw-r--r--testing/libneo4j-client/APKBUILD38
1 files changed, 31 insertions, 7 deletions
diff --git a/testing/libneo4j-client/APKBUILD b/testing/libneo4j-client/APKBUILD
index c87262e11b..6bb1e08283 100644
--- a/testing/libneo4j-client/APKBUILD
+++ b/testing/libneo4j-client/APKBUILD
@@ -1,8 +1,8 @@
# Contributor: Chris Leishman <chris@leishman.org>
# Maintainer: Chris Leishman <chris@leishman.org>
pkgname=libneo4j-client
-pkgver=1.2.1
-pkgrel=3
+pkgver=2.2.0
+pkgrel=0
pkgdesc="Client library for the Neo4j graph database"
url="https://github.com/cleishm/libneo4j-client"
arch="x86_64 aarch64 ppc64le"
@@ -11,7 +11,7 @@ depends="openssl"
depends_dev="libressl-dev"
makedepends="$depends_dev automake autoconf libtool check-dev doxygen pkgconfig fts fts-dev libedit-dev libcypher-parser-dev"
install=""
-subpackages="$pkgname-dev $pkgname-doc neo4j-client:client"
+subpackages="$pkgname-dev $pkgname-doc::noarch neo4j-client:client neo4j-client-doc::noarch"
source="https://github.com/cleishm/libneo4j-client/releases/download/v$pkgver/$pkgname-$pkgver.tar.gz"
_builddir="$srcdir"/"$pkgname-$pkgver"
@@ -21,10 +21,14 @@ build() {
--prefix=/usr \
|| return 1
make || return 1
- make LIBS="-lfts" check || return 1
make doc || return 1
}
+check() {
+ cd "$_builddir"
+ make LIBS="-lfts" check || return 1
+}
+
package() {
cd "$_builddir"
make DESTDIR="$pkgdir" install || return 1
@@ -32,6 +36,27 @@ package() {
mv doc/html/* "$pkgdir"/usr/share/doc/libneo4j-client/
}
+doc() {
+ depends="$depends_doc"
+ pkgdesc="$pkgdesc (documentation)"
+ install_if="docs $pkgname=$pkgver-r$pkgrel"
+
+ if [ "$subpkgname" = "libneo4j-client-doc" ]; then
+ mkdir -p "$subpkgdir"/usr/share
+ mv "$pkgdir"/usr/share/doc "$subpkgdir"/usr/share/
+ elif [ "$subpkgname" = "neo4j-client-doc" ]; then
+ mkdir -p "$subpkgdir"/usr/share
+ mv "$pkgdir"/usr/share/man "$subpkgdir"/usr/share/
+ find "$subpkgdir"/usr/share/man/ -type f | xargs gzip -9
+ else
+ die "Unknown doc package $pkgname"
+ fi
+
+ # remove if empty, ignore error (not empty)
+ rmdir "$pkgdir"/usr/share "$pkgdir"/usr || true 2>/dev/null
+ return 0
+}
+
client() {
depends="libedit libcypher-parser"
pkgdesc="Command line shell for Neo4j"
@@ -43,6 +68,5 @@ client() {
rmdir "$pkgdir"/usr/bin "$pkgdir"/usr 2>/dev/null || true
return 0
}
-md5sums="f405b5c6e60b503f971e900b5f060820 libneo4j-client-1.2.1.tar.gz"
-sha256sums="d5dfff272dc864c2c0874cac62df60a92161dc43c9d3faa02ab79ca6081cf470 libneo4j-client-1.2.1.tar.gz"
-sha512sums="3a9e573edadb2659317db053e95c0bb75be7a42092934c3d4ef859882c126e873acd63329ff58339969e846910a922f85563734379205a2309ea543c0c455b33 libneo4j-client-1.2.1.tar.gz"
+
+sha512sums="973f8e49ee780b9ef8710dad057f264db1004523059ece5504af32c2ba5367e9199898d24aa133c017c953b0b750b2a23495765069c9a5ad470e8387a0eb4d9a libneo4j-client-2.2.0.tar.gz"